[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FindNearest

Find the node closest to the data in the tree

## Declaration

Source position: avl_tree.pp line 85

`public function TAVLTree.FindNearest(`
`Data: Pointer`
`):TAVLTreeNode;`

## Arguments

`Data` |  | The data item to search for.

## Function result

The node that is closest to Data

## Description

FindNearest searches the node in the data tree that is closest to the specified Data. If Data appears in the tree, then its node is returned.

## See also

FindHighest |  | Find the highest (rightmost) node in the tree.
FindLowest |  | Find the lowest (leftmost) node in the tree.
Find |  | Find a data item in the tree.
FindKey |  | Find a data item in the tree using alternate compare mechanism

Documentation generated on: Feb 26 2014